function [dataMatrix] = getData(Tr)
% getData(Tr)
%
% It expands the data from original form to the form
% that uses polytope
%
% Tr is training matrix
[rowT columnT] = size(Tr);
dataMatrix = zeros(rowT, columnT^2);
for t=1:rowT
    % get linear part
     innerMatrix = Tr(t,1:columnT);
     % get min part
     C = bsxfun(@min,Tr(t,:)',Tr(t,:));
     U = tril(ones(columnT,columnT),-1);
     K = (U)>0;
     S=C(K);
     innerMatrixm = [innerMatrix S'];
     % get max part
     C = bsxfun(@max,Tr(t,:)',Tr(t,:));
     U = tril(ones(columnT,columnT),-1);
     K = (U)>0;
     S=C(K);
     innerMatrixM = [innerMatrixm S'];
     dataMatrix(t,:) = innerMatrixM;
end
