function [mobVector interactionMatrixM] = getInteraction (wChoquistic)
% getInteraction (wChoquistic)
%
%  It computes interaction matrix based on moebius transform
% 
%  wChoquistic is a vector contains the values of alpha_i's and beta_j's and eta_j's and
%  intercept and rescaling parameters. 
column = sqrt(length(wChoquistic)-2);
interactionMatrixM = zeros(column,column);
% singleW contains the weights of each variables separately
% jointW contains the weights of 2 variables jointly
singleW = wChoquistic(1:column)';
mL = wChoquistic(column+1:column+(column-1)*column*0.5);
ML = wChoquistic(column+1+(column-1)*column*0.5:column^2);
jointW = mL - ML;
jointWCH = [zeros(column,1);ML'];
C = generatorConstraints(column);
for i = 1:column
    for j = 1:column-1
    singleW(i,1) = singleW(i,1) + jointWCH(C(i,j),1);
    end
end
% mobVector is moebius transform for 2-additive case
mobVector = [singleW; jointW'];
% take the interaction values from moebius transform
interactionMatrix = mobVector(column+1:end);
% change the form of interaction from linear to symmetric
% hier interactionMatrixM is the interaction matrix (output value)
interactionMatrixM(tril(true(column),-1)) = interactionMatrix;
interactionMatrixM = interactionMatrixM + interactionMatrixM';

